PETSc version 3.15.5
Fix/Edit manual page

# VecRestoreLocalVector

Unmaps the local portion of a vector previously mapped into a vector using VecGetLocalVector().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecRestoreLocalVector(Vec v,Vec w)

Logically collective.

### Input parameter

| v | - The local portion of this vector was previously mapped into w using VecGetLocalVector().
| w | - The vector into which the local portion of v was mapped.

### See Also

VecGetLocalVector(), VecGetLocalVectorRead(), VecRestoreLocalVectorRead(), LocalVectorRead(), VecGetArrayRead(), VecGetArray()

### Level

beginner

### Location

src/vec/vec/interface/rvector.c

### Implementations

VecRestoreLocalVector_SeqKokkos in src/vec/vec/impls/seq/kokkos/veckok.kokkos.cxx
VecRestoreLocalVector_SeqCUDA in src/vec/vec/impls/seq/seqcuda/veccuda2.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages